%define upstream_name    Net-Server-Coro
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    A co-operative multithreaded server using Coro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Coro)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Net::Server) >= 2.0.0
BuildArch:  noarch

%description
the Net::Server::Coro manpage implements multithreaded server for the the
Net::Server manpage architecture, using the Coro manpage and the
Coro::Socket manpage to make all reads and writes non-blocking.
Additionally, it supports non-blocking SSL negotiation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.300.0-14.mga10
+ Revision: 2204188
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-13.mga9
+ Revision: 1809928
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-12.mga8
+ Revision: 1505601
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.300.0-11.mga7
+ Revision: 1285216
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.300.0-10.mga7
+ Revision: 1165949
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.300.0-9.mga7
+ Revision: 1158575
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-8.mga6
+ Revision: 1031319
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.300.0-7.mga6
+ Revision: 949502
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.300.0-6.mga5
+ Revision: 789997
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-5.mga5
+ Revision: 746866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 685731
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 513629
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 370894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 317709
- update to 1.3

* Sat Nov 05 2011 kharec <kharec> 1.200.0-1.mga2
+ Revision: 163629
- update to 1.2

* Fri Oct 14 2011 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 154823
- update to 1.1

* Tue Feb 22 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 56665
- imported package perl-Net-Server-Coro


* Tue Feb 22 2011 cpan2dist 0.9-1mga
- initial mageia release, generated with cpan2dist
